### Constructor

# EBackend ServerSideSource new_memory_only

since: 3.6

#### Declaration [src]

    ESource*
    e_server_side_source_new_memory_only (
      ESourceRegistryServer* server,
      const gchar* uid,
      GError** error
    )

#### Description [src]

Creates a memory-only `EServerSideSource` which belongs to `server`. No on-disk key file is created for this data source, so it will not be remembered across sessions.

Data source collections are often populated with memory-only data sources to serve as proxies for resources discovered on a remote server. These data sources are usually neither `EServerSideSource:writable` nor `EServerSideSource:removable` by clients, at least not directly.

If an error occurs while instantiating the `EServerSideSource`, the function sets `error` and returns `NULL`. Although at this time there are no known error conditions for memory-only data sources.

Available since: 3.6

#### Parameters

`server`

  Type: `ESourceRegistryServer`

  An `ESourceRegistryServer`.

  The data is owned by the caller of the function.

`uid`

  Type: `const gchar*`

  A unique identifier, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ESource`

A new memory-only `EServerSideSource`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.